Subject: metalsmithing classes in Ann Arbor, MI

From: [email-masked] (S. Tafuri)
Date: 29 Dec 1993 15:44:38 GMT

I am looking to enroll in a intermediate metalsmithing course in Ann Arbor
MI. If anyone has any information regarding where I could find an evening
class that is offered to non-U mich students. So far all the community
college listings I've seen contain only welding courses. Please respond by
E-mail